Bug 1474493 - missing jffs2 and some mtd related modules
missing jffs2 and some mtd related modules
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 14:19 EDT by Jiri Kastner
Modified: 2017-08-22 09:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is what i tested (64.99 KB, application/mbox)
2017-07-28 06:40 EDT, Jiri Kastner
no flags Details

  None (edit)
Description Jiri Kastner 2017-07-24 14:19:48 EDT
Description of problem:
mtdram, block2mtd are disabled on all architectures, jffs2 modules are enabled only on armv archs.
available docs for unpacking/modifying roms for embedded systems includes mtdram/block2mtd modules. which means on non-arm archs run slow qemu guest to modify.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. modprobe jffs2
2. modprobe mtdram
3. modprobe block2mtd

Actual results:
modules not found

Expected results:
user should follow documentation for modifying roms using mtdram/block2mtd and jffs2

Additional info:
Comment 1 Jiri Kastner 2017-07-24 14:27:11 EDT
CONFIG_MTD_MTDRAM=m
CONFIG_MTD_BLOCK2MTD=m
CONFIG_JFFS2_FS=m
CONFIG_JFFS2_ZLIB=y
CONFIG_JFFS2_LZO=y

and other, which are already enabled for arm
Comment 2 Laura Abbott 2017-07-24 14:31:29 EDT
Can you give an example of the type of documentation you are trying to follow?
Comment 4 Jiri Kastner 2017-07-24 15:07:18 EDT
fedora has in mtd-utils jffs2reader, which should be able to list/dump content of file but not working on images with lzma compression
Comment 5 Laura Abbott 2017-07-26 19:14:59 EDT
I'm okay turning on JFFS2 but CONFIG_MTD_MTDRAM is listed as a test driver. I understand it's uses are limited but I'm not really excited about enabling it for all of Fedora.
Comment 6 Jiri Kastner 2017-07-28 06:40 EDT
Created attachment 1305892 [details]
this is what i tested
Comment 7 Jiri Kastner 2017-07-28 06:48:49 EDT
(In reply to Laura Abbott from comment #5)
> I'm okay turning on JFFS2 but CONFIG_MTD_MTDRAM is listed as a test driver.
> I understand it's uses are limited but I'm not really excited about enabling
> it for all of Fedora.

there are three modules usable for simulating flash devices:
nandsim for nand and block2mtd and mtdram for nor

as most of toolchains for embedded platforms are for x86, i'm fine with enabling it only for x86, not all architectures like i did in patch
Comment 8 Jiri Kastner 2017-07-28 07:04:52 EDT
what i tested so far is nandsim. block2mtd and mtdram i would like to test after vacation

even i managed to use jffs2reader after endianess convertion using jffs2dump -e,
it is tricky to dump dontent.
with nandsim and jffs2 i was able to mount image and chroot to it just using qemu-mips-static within few seconds
Comment 9 Jiri Kastner 2017-08-11 15:41:56 EDT
anything i can do to get enabled those modules?
Comment 10 Laura Abbott 2017-08-14 15:16:25 EDT
If the following set of options is sufficnet we can turn them on.

CONFIG_MTD_BLOCK2MTD=m
CONFIG_JFFS2_FS=m
CONFIG_JFFS2_ZLIB=y
CONFIG_JFFS2_LZO=y
Comment 11 Jiri Kastner 2017-08-22 09:09:37 EDT
(In reply to Laura Abbott from comment #10)
> If the following set of options is sufficnet we can turn them on.
> 
> CONFIG_MTD_BLOCK2MTD=m
> CONFIG_JFFS2_FS=m
> CONFIG_JFFS2_ZLIB=y
> CONFIG_JFFS2_LZO=y

and CONFIG_JFFS2_COMPRESSION_OPTIONS
it should be sufficient

Note You need to log in before you can comment on or make changes to this bug.